<?php



class CatAdminUsuarioMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CatAdminUsuarioMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('cat_admin_usuario');
		$tMap->setPhpName('CatAdminUsuario');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID_CATEGORIA', 'IdCategoria', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addPrimaryKey('ID_USUARIO', 'IdUsuario', 'int', CreoleTypes::INTEGER, true, null);

	} 
} 