<?php



class CategoriasAdminMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CategoriasAdminMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('categorias_admin');
		$tMap->setPhpName('CategoriasAdmin');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID_CATEGORIA_ADMIN', 'IdCategoriaAdmin', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('DESCRIPCION', 'Descripcion', 'string', CreoleTypes::VARCHAR, true, 100);

		$tMap->addColumn('ID_CATEGORIA', 'IdCategoria', 'int', CreoleTypes::INTEGER, true, null);

	} 
} 