<?php



class ConfFeedMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ConfFeedMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('conf_feed');
		$tMap->setPhpName('ConfFeed');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID_CONF_FEED', 'IdConfFeed', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('VOZ', 'Voz', 'int', CreoleTypes::TINYINT, true, null);

		$tMap->addColumn('VELOCIDAD_LECTURA', 'VelocidadLectura', 'int', CreoleTypes::TINYINT, true, null);

		$tMap->addColumn('NUMERO_ENTRADAS', 'NumeroEntradas', 'int', CreoleTypes::TINYINT, true, null);

	} 
} 