<?php



class FeedsSistemaMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.FeedsSistemaMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('feeds_sistema');
		$tMap->setPhpName('FeedsSistema');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('USUARIOS_ID', 'UsuariosId', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addPrimaryKey('CATEGORIAS_ID', 'CategoriasId', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('CONF_FEED_ID', 'ConfFeedId', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addPrimaryKey('FEEDS_ID', 'FeedsId', 'int', CreoleTypes::INTEGER, true, null);

	} 
} 