<?php


abstract class BaseFeedsSistemaPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'feeds_sistema';

	
	const CLASS_DEFAULT = 'lib.model.FeedsSistema';

	
	const NUM_COLUMNS = 4;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const USUARIOS_ID = 'feeds_sistema.USUARIOS_ID';

	
	const CATEGORIAS_ID = 'feeds_sistema.CATEGORIAS_ID';

	
	const CONF_FEED_ID = 'feeds_sistema.CONF_FEED_ID';

	
	const FEEDS_ID = 'feeds_sistema.FEEDS_ID';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('UsuariosId', 'CategoriasId', 'ConfFeedId', 'FeedsId', ),
		BasePeer::TYPE_COLNAME => array (FeedsSistemaPeer::USUARIOS_ID, FeedsSistemaPeer::CATEGORIAS_ID, FeedsSistemaPeer::CONF_FEED_ID, FeedsSistemaPeer::FEEDS_ID, ),
		BasePeer::TYPE_FIELDNAME => array ('usuarios_id', 'categorias_id', 'conf_feed_id', 'feeds_id', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('UsuariosId' => 0, 'CategoriasId' => 1, 'ConfFeedId' => 2, 'FeedsId' => 3, ),
		BasePeer::TYPE_COLNAME => array (FeedsSistemaPeer::USUARIOS_ID => 0, FeedsSistemaPeer::CATEGORIAS_ID => 1, FeedsSistemaPeer::CONF_FEED_ID => 2, FeedsSistemaPeer::FEEDS_ID => 3, ),
		BasePeer::TYPE_FIELDNAME => array ('usuarios_id' => 0, 'categorias_id' => 1, 'conf_feed_id' => 2, 'feeds_id' => 3, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/FeedsSistemaMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.FeedsSistemaMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = FeedsSistemaPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(FeedsSistemaPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(FeedsSistemaPeer::USUARIOS_ID);

		$criteria->addSelectColumn(FeedsSistemaPeer::CATEGORIAS_ID);

		$criteria->addSelectColumn(FeedsSistemaPeer::CONF_FEED_ID);

		$criteria->addSelectColumn(FeedsSistemaPeer::FEEDS_ID);

	}

	const COUNT = 'COUNT(feeds_sistema.USUARIOS_ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT feeds_sistema.USUARIOS_ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(FeedsSistemaPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(FeedsSistemaPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = FeedsSistemaPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = FeedsSistemaPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return FeedsSistemaPeer::populateObjects(FeedsSistemaPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			FeedsSistemaPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = FeedsSistemaPeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return FeedsSistemaPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(FeedsSistemaPeer::USUARIOS_ID);
			$selectCriteria->add(FeedsSistemaPeer::USUARIOS_ID, $criteria->remove(FeedsSistemaPeer::USUARIOS_ID), $comparison);

			$comparison = $criteria->getComparison(FeedsSistemaPeer::CATEGORIAS_ID);
			$selectCriteria->add(FeedsSistemaPeer::CATEGORIAS_ID, $criteria->remove(FeedsSistemaPeer::CATEGORIAS_ID), $comparison);

			$comparison = $criteria->getComparison(FeedsSistemaPeer::FEEDS_ID);
			$selectCriteria->add(FeedsSistemaPeer::FEEDS_ID, $criteria->remove(FeedsSistemaPeer::FEEDS_ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(FeedsSistemaPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(FeedsSistemaPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof FeedsSistema) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
												if(count($values) == count($values, COUNT_RECURSIVE))
			{
								$values = array($values);
			}
			$vals = array();
			foreach($values as $value)
			{

				$vals[0][] = $value[0];
				$vals[1][] = $value[1];
				$vals[2][] = $value[2];
			}

			$criteria->add(FeedsSistemaPeer::USUARIOS_ID, $vals[0], Criteria::IN);
			$criteria->add(FeedsSistemaPeer::CATEGORIAS_ID, $vals[1], Criteria::IN);
			$criteria->add(FeedsSistemaPeer::FEEDS_ID, $vals[2], Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(FeedsSistema $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(FeedsSistemaPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(FeedsSistemaPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(FeedsSistemaPeer::DATABASE_NAME, FeedsSistemaPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = FeedsSistemaPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK( $usuarios_id, $categorias_id, $feeds_id, $con = null) {
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$criteria = new Criteria();
		$criteria->add(FeedsSistemaPeer::USUARIOS_ID, $usuarios_id);
		$criteria->add(FeedsSistemaPeer::CATEGORIAS_ID, $categorias_id);
		$criteria->add(FeedsSistemaPeer::FEEDS_ID, $feeds_id);
		$v = FeedsSistemaPeer::doSelect($criteria, $con);

		return !empty($v) ? $v[0] : null;
	}
} 
if (Propel::isInit()) {
			try {
		BaseFeedsSistemaPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/FeedsSistemaMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.FeedsSistemaMapBuilder');
}
