<?php

class myUser extends sfBasicSecurityUser
{

	 public function signIn($user, $remember = false)
	{
		$this->setAuthenticated(true);
		$this->setAttribute('correo', $user->getMail());
		$this->setAttribute('id_user',$user->getIdUsuario());
		$this->setCulture($user->getCultura());
 
		if ($remember)
		{
			// determine a random key
			if (!$user->getIdSesion())
			{
				$id_sesion = mt_rand();
 
				// save the key to the User table
				$user->setIdSesion($id_sesion);
				$user->save();
			}
 
			// save the key to the cookie
			$value = base64_encode(serialize(array($user->getIdSesion(), $user->getMail())));
			sfContext::getInstance()->getResponse()->setCookie('Feedo', $value, time()+60*60*24*15, '/');
		}
	}
 
	public function signOut()
	{
		//borramos la cookie
		$value = unserialize(base64_decode(sfContext::getInstance()->getRequest()->getCookie('Feedo')));
		//si el usuario dispone de cookie la borramos
		if($value)
		{
			//hacemos que caduque inmediatamente
			sfContext::getInstance()->getResponse()->setCookie('Feedo', '', time(), '/');
		}
		
		$this->setAuthenticated(false);
		$this->getAttributeHolder()->remove('correo');
		$this->getAttributeHolder()->remove('id_user');
	}
}
