<?php



class FeedsCategoriaMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.FeedsCategoriaMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('feeds_categoria');
		$tMap->setPhpName('FeedsCategoria');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID_FEED', 'IdFeed', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addPrimaryKey('ID_CATEGORIA', 'IdCategoria', 'int', CreoleTypes::INTEGER, true, null);

	} 
} 