<?php



class FeedsMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.FeedsMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('feeds');
		$tMap->setPhpName('Feeds');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID_FEED', 'IdFeed', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('URL', 'Url', 'string', CreoleTypes::VARCHAR, true, 200);

		$tMap->addColumn('RECOMENDADO', 'Recomendado', 'int', CreoleTypes::TINYINT, true, null);

	} 
} 