<?php



class UrlVisitadasMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.UrlVisitadasMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('url_visitadas');
		$tMap->setPhpName('UrlVisitadas');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID_URL', 'IdUrl', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('URL', 'Url', 'string', CreoleTypes::VARCHAR, true, 200);

	} 
} 